#ifndef	H_BALL
#define H_BALL

#include <windows.h>
#include <gl\gl.h>							// Header File For The OpenGL32 Library
#include <gl\glu.h>							// Glu32 header for quadrics
#include "fmod.h"							// Sound library

class Ball {
   private:
	   GLUquadricObj *sphere;				// Storage for quadratic object
   public:
      float x, y, z;						// Top-left position of ball on screen
	  float xi, yi, zi;						// Direction movement vector
	  float speed;							// Current speed of the ball
	  float speedup;						// Rate at which the ball speeds up
	  float radius;
	  float diameter;						// Eer, twice the radius
      Ball();								// Constructor
	  ~Ball();								// Destructor
	  Reset();								// Reset ball when the ball goes out or a new game is started
	  Draw();								// Draw to opengl screen
};

#endif