#include <windows.h>
#include "Texture.h"
#include "Ball.h"
#include "Brick.h"

#define NUM_BRICKS_VERTICAL		15								// Number of bricks in the Y direction
#define NUM_BRICKS_HORIZONTAL	12								// Number of bricks in the X direction

class Board {
   private:
	  TEXTURE floor;											// Texture of the floor
	  TEXTURE wall;												// Texture for the side walls
	  TEXTURE brick_texture;									// Texture for a brick face
	  TEXTURE permanent_brick_texture;							// Texture of permanent bricks is different from others
	  FSOUND_SAMPLE *ball_bounce;								// Sound of ball bouncing off brick
	  Brick bricks[NUM_BRICKS_VERTICAL][NUM_BRICKS_HORIZONTAL];	// Bricks that make up the playing board
	  InitBricks();												// Initialize the array of bricks
   public:
      float width, height;										// Actual playing field size (Not including wall widths)
	  int level;												// Current playing level
	  int score;												// Player's current score
	  int bricks_left;											// Number of bricks left in the level
	  NewGame();												// Reset the board to level 1
	  bool NextLevel();											// Go to the next level and load the board - returns false if no more levels
	  bool LoadLevel(int level);								// Loads specified level and initializes bricks to what we want - returns false if we are at the last level, so game is over!
	  Check_Brick_Collisions(Ball *b);							// Checks if ball has hit a brick and takes appropriate action
	  LoadData();												// Load any data not able to be done at constructor time
      Board();													// Constructor
	  ~Board();													// Destructor
	  Draw();													// Draw to opengl screen
};
